Improbable Icon

SpatialOS SDK 9.1 (Alpha) Released!

announcement

#1

Unity 5.5 support, (experimental) faster build times, Java snapshot API, and tonnes of improvements / bugfixes. See the full release notes here!


#2

I was running into issues which I’m hoping will be fixed with this release. I stumbled on this forum post and I think others would also appreciate receiving a “SpatialOS Community Update” email about this release.


#3

Hey @non_dirty,

Sorry to hear you’ve been running into issues. Do let us know on the forums or contact support if you need a hand - we’re always happy to help out!

It’s a great idea to send out the community update. We’ve been planning to, but it’ll come a little later. We’d much rather get the build in your hands now that wait on an email to be made up :wink:

Rest assured, one will be going out in the next few days <3


#4

Unity 5.5! I will be updating my project folder, thanks for the update, I’ll post any info about bugs I see.
<3


#5

Remember to follow the upgrade steps THOROUGHLY: specifically:

  • spatial clean before you change the version number
  • if you’re going to be using unity 5.5, remember spatial expects unity to be in program files if it’s not on your path. If you have multiple versions, make sure 5.5 is the default one that opens when you launch from a terminal!

If you encounter issues that are unity build specific, you should try removing the workers/unity/library folder and performing another clean build.


#6

I followed it ritualistically and it worked just fine, I just replaced unity with 5.5, the build of spatial its self has been performing admirably, almost no crashes/errors. And so far out of the 10 or 15 builds I’ve done I’ve not had to go back and try and fix anything once, they all just worked out of the box, good update so far.


#7

@bonkahe great to hear!

For anyone reading - we’ve just pushed the 9.1.0 upgrade of the Hello World tutorial too, if you find it useful for reference.


#8

Hey guys,

May I ask - how to update the SDK? I hesitate to ask it because it seems I’m the only one don’t know how to do it on the forum :sweat_smile:

It tells me I already have the latest version:

$ spatial update
time="2017-01-26T10:38:58+08:00" level=info msg="Current version: 20170124.171651.e5ab861" cli-version=20170124.171651.e5ab861
time="2017-01-26T10:38:58+08:00" level=info msg="Attempting to download latest version for platform win." cli-version=20170124.171651.e5ab861
time="2017-01-26T10:39:00+08:00" level=info msg="Latest version is 20170124.171651.e5ab861." cli-version=20170124.171651.e5ab861
time="2017-01-26T10:39:01+08:00" level=info msg="Already on the latest version of spatial." cli-version=20170124.171651.e5ab861

And I just notice that it also says the SDK is still 9.0.2:

$ spatial diagnose
java
  1.8.0_121-b13 (64-bit) at C:\ProgramData\Oracle\Java\javapath\java.exe
javac
  1.8.0_112 at C:\Program Files\Java\jdk1.8.0_112\bin\javac.exe
networking troubleshooter
  All checks passed at C:\SpatialOS\spatial.exe
project's spatial SDK
  9.0.2
sbt (gsim)
[info] Loading project definition from D:\Naga\Temp\Cartel\workers\gsim\project
[info] Set current project to alpha_venus_july_708 (in build file:/D:/Naga/Temp/Cartel/workers/gsim/)
[info] 0.13.11
  0.13.11 at C:\Program Files (x86)\sbt\bin\sbt
spatial
  20170124.171651.e5ab861 at C:\SpatialOS\spatial.exe
spatial-sdk
  9.0.2 at C:\Users\user\AppData\Local\.improbable\bin\plugins\sdk\9.0.2\sdk.exe
unity
  [FAILURE] unity: exit status 1
vs2015-cpp-redistributable
  installed
'sdk.exe diagnose' finished (43.2s)

I also tried spatial update sdk:

$ spatial update sdk -f
time="2017-01-26T10:45:57+08:00" level=info msg="Current version: 20170124.171651.e5ab861" cli-version=20170124.171651.e5ab861
time="2017-01-26T10:45:57+08:00" level=info msg="Attempting to download version sdk for platform win." cli-version=20170124.171651.e5ab861
time="2017-01-26T10:46:00+08:00" level=info msg="Version: 20170124.171651.e5ab861" cli-version=20170124.171651.e5ab861
time="2017-01-26T10:46:00+08:00" level=warning msg="At 2017-01-26 02:46:00 UTC failed executing command: \n    C:\\SpatialOS SDK\\spatial.exe update sdk -f" cli-version=20170124.171651.e5ab861
time="2017-01-26T10:46:00+08:00" level=warning msg="Version: 20170124.171651.e5ab861" cli-version=20170124.171651.e5ab861
time="2017-01-26T10:46:00+08:00" level=fatal msg="Failed retrieving the latest version of the spatial binary from url : https://console.improbable.io/toolbelt/download/sdk/win.\nserver response code was 404" cli-version=20170124.171651.e5ab861

I really want to get the latest features and bug fixes :joy:

Thanks in advance!


#9

Hey @naga,

You can find the guide with the upgrade instructions here: https://spatialos.improbable.io/docs/reference/9.1-alpha/releases/upgrade-guides/how-to-upgrade-9-1


#10

Hey @draconigra!

Oh I missed this upgrading guide. Thanks, you’re very kind!